docker-compose安装yapi(接口文档)

NO.1
yapi简介

api 是可部署的、通用于 YA 前接口及 QA 的、打通的可视化管理平台

github地址:https://github.com/YMFE/yapi

docker安装地址

github地址:https://github.com/Ryan-Miao/docker-yapi

NO.2
yapi特点

以下特点

  1. 基于 Json5 和 Mockjs 接口返回数据的结构和定义,效率提升多倍
  2. 企业化级项目的设计权限,保证了大型企业级的项目管理,又保证了易用性即性
  3. 自动化测试,支持对响应声明
  4. MockServer 除支持普通的模拟功能外,还增加了 Mock 期望功能,根据设置的请求过滤规则,返回数据期望
  5. 支持postman、har、swagger数据导入
  6. 免费开放,可内网部署
NO.3
yapi安装

官方教程

地址:http://yapi.smart-xwork.cn/doc/devops/index.html#%e5%ae%89%e8%a3%85

不推荐使用可视化部署或者命令行部署,因为官方部署的前提是安装特定版本的node和指定版本的mongoDB

推荐使用docker部署,不对服务器的node环境和数据库强依赖

version: '3'

services:
  yapi-web:
    image: jayfong/yapi:latest
    container_name: yapi-web
    ports:
      - 8013:3000
    environment:
      - [email protected]
      - YAPI_ADMIN_PASSWORD=123456
      - YAPI_CLOSE_REGISTER=true
      - YAPI_DB_SERVERNAME=yapi-mongo
      - YAPI_DB_PORT=27017
      - YAPI_DB_DATABASE=yapi
      - YAPI_MAIL_ENABLE=false
      - YAPI_LDAP_LOGIN_ENABLE=false
      - YAPI_PLUGINS=[]
    depends_on:
      - yapi-mongo
    links:
      - yapi-mongo
    restart: unless-stopped
  yapi-mongo:
    image: mongo:4.4.16
    container_name: yapi-mongo
    volumes:
      - ./data/db:/data/db
    expose:
      - 27017
    restart: unless-stopped

注意mongo的版本不要采用latest

本文的mongo image: mongo:4.4.16

如果使用latest,则mongo的版本为v5+,会和yapi不兼容,因为使用了node

使用docker可以弱化环境问题

NO.4
yapi使用

官方教程

文档:http://yapi.smart-xwork.cn/doc/documents/index.html

NO.5
Tips

用于前端mock api,对代码无数据侵扰

能够实现真正的http请求,包括不限于状态码,弱网测试,不同参数对应不同数据等

END.